# About the NSHMP

The National Seismic Hazard Model Project (NSHMP) produces national seismic hazard models (NSHMs)
for the United States and territories. The project came into existence following passage of the
Earthquake Hazards Reduction Act of 1977, as amended:

>3A: "Conduct a systematic assessment of the seismic risks in each region of the Nation prone to
>earthquakes..."
>
>J: "Maintain suitable seismic hazard maps in support of building codes for structures and
>lifelines, including additional maps needed for performance-based design approaches."

The NSHMP primarily produces long-term NSHMs that are used in U.S. building codes and numerous
other seismic design requirements. The models are used in site-specific analyses and also for
defining likely earthquake scenarios for emergency planning. NSHMs are considered reference
(or baseline) models used by the risk, insurance and reinsurance industries, and they are also
considered in other industries such as real estate lending. A 9-member steering committee of
academic and industry experts provides technical oversight and recommendations to the NSHMP.

An NSHM defines the set of likely earthquake sources and their rates in a particular region. Given
parameters of the earthquake source and a site of interest, ground motion models (GMMs) are used
to estimate ground shaking from the set of earthquakes. The NSHMP routinely updates NSHMs for the
U.S. and its territories to consider the best available science.

---

[**Documentation Index**](../README.md)

---
![USGS logo](./images/usgs-icon.png) &nbsp;[U.S. Geological Survey](https://www.usgs.gov)
National Seismic Hazard Mapping Project ([NSHMP](https://earthquake.usgs.gov/hazards/))
