# USGS Models

USGS National Seismic Hazard Models (NSHMs) are updated every so often to incorporate
best-available science. For the conterminous U.S., updates historically occurred about every six
years. This window is narrowing, however, and updates are also being undertaken to update the
models for states and territories outside the conterminous U.S. These pages describe the models
that are available and some of the history and versions of each. The models are intended for use
with the  USGS probabilistic earthquake hazard codebase:
[*nshmp-haz*](https://code.usgs.gov/ghsc/nshmp/nshmp-haz).

As specified in this documentation, NSHM files are organized by tectonic setting and then further
by source type. For larger models, such as that of the conterminous U.S., sources are commonly
grouped in folders by state. Documentation of each model is usually published as one or more
journal articles or a USGS Open-File report with accompanying data releases of model ingrediants
and hazard curves and maps. See the
[USGS Seismic Hazard Maps](https://www.usgs.gov/natural-hazards/earthquake-hazards/seismic-hazard-maps-and-site-specific-data)
page for links to all published models.

Each model region has a dedicated repository with version tags marking different model editions:

* [Conterminous U.S.](https://code.usgs.gov/ghsc/nshmp/nshms/nshm-conus)
* [Hawaii](https://code.usgs.gov/ghsc/nshmp/nshms/nshm-hawaii)  
* Alaska - *update not yet published*
* Guam & Marianas - *update not yet published*  
* Puerto Rico & U.S. Virgin Islands - *update not yet published*  
* Samoa & Pacific Islands - *update not yet published*  

---

## Related Pages

* [USGS Models](./USGS-Models.md#usgs-models)
  * [Model Editions](./Model-Editions.md#model-editions)
  * [Logic Trees & Uncertainty](./Logic-Trees-&-Uncertainty.md#logic-trees-&-uncertainty)
  * [Code Versions](./Code-Versions.md#code-versions)
* [**Documentation Index**](../README.md)

---
![USGS logo](./images/usgs-icon.png) &nbsp;[U.S. Geological Survey](https://www.usgs.gov)
National Seismic Hazard Mapping Project ([NSHMP](https://earthquake.usgs.gov/hazards/))
