package gov.usgs.earthquake.nshmp.model;

import java.io.IOException;
import java.util.Optional;
import java.util.concurrent.ExecutionException;

import gov.usgs.earthquake.nshmp.model.NshmTestUtils.Nshm;
import gov.usgs.earthquake.nshmp.model.NshmTestUtils.NshmModel;
import gov.usgs.earthquake.nshmp.www.Application;

import io.micronaut.context.ApplicationContext;
import io.micronaut.runtime.Micronaut;

/**
 * Generate actual results to compare to expected results.
 *
 * Used in CI environment for faster unit tests.
 *
 * See nshms.gradle for generate tasks.
 */
class GenerateActual {

  public static void main(String[] args)
      throws IOException, InterruptedException, ExecutionException {
    Nshm nshm = NshmTests.NSHMS.get(System.getProperty("NSHM"));

    // Generate command line
    NshmModel nshmModel = NshmTestUtils.loadModel(nshm);
    NshmTestUtils.writeExpecteds(nshmModel, Optional.of(NshmTests.DATA_PATH));
    nshmModel.exec.shutdown();

    // Generate web
    ApplicationContext context = Micronaut
        .build("--model=" + nshm.modelPath())
        .mainClass(Application.class)
        .start();
    NshmTestUtils.writeWebExpecteds(nshm, Optional.of(NshmTests.WEB_DATA_PATH));
    context.close();
  }
}
